.wrapper {
  position: relative;
  display: inline-block;
  min-width: 150px;
  max-width: 100%;

  &.fullWidth {
    width: 100%;
  }

  &.isActive {
    z-index: 1;
    .selectIcon {
      transform: rotateX(180deg);
    }

    .selectOptions {
      display: block;
    }
  }
}

.selectItem {
  padding: 7px 13px;
  font-size: 14px;
  cursor: pointer;
  position: relative;
  border: 1px solid var(--separator-color);
  border-radius: 3px;
  background-color: var(--lightest-color);
}

.selectedTextItem {
  display: inline-block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  max-width: 100%;
  vertical-align: middle;
  user-select: none;
  margin-right: 25px;
  line-height: 25px;
}

.selectIcon {
  position: absolute;
  right: 10px;
  top: calc(50% - 6px);
  padding: 8px 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: -4px;
  transition: transform .3s;
}

.selectOptions {
  padding: 12px 10px;
  position: absolute;
  width: 100%;
  left: 0;
  top: 100%;
  transform: translateY(8px);
  background: #fff;
  display: none;
  border: 1px solid var(--separator-color);
  border-radius: 6px;
  box-shadow: 0 24px 32px rgb(0 0 0 / 4%), 0 16px 24px rgb(0 0 0 / 4%), 0 4px 8px rgb(0 0 0 / 4%), 0 0 1px rgb(0 0 0 / 4%);
}